/* ``The contents of this file are subject to the Erlang Public License,
 * Version 1.0, (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.erlang.org/EPL1_0.txt
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Erlang-4.7.3, December, 1998.
 * 
 * The Initial Developer of the Original Code is Ericsson Telecom
 * AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
 * Telecom AB. All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.''
 */
#ifndef _ELOG_FORMAT_H
#define _ELOG_FORMAT_H
/*
 * Module: elog_format
 * Purpouse: Format messages in the eventlog.
 * Created By: Patrik Nyblom, Ericsson Telecom AB
 * (c) Ericsson Telecom AB
 * ToDo: Maximum buffersize is used...
 */

#include "elog_global.h"

char *format_message(MessageFiles mf, DWORD id, 
		     char *strings, int numstrings, 
		     char *buff, int bufflen);
/*
 * Formats an eventlog message with the messagefiles
 * in mf, the ID id, the stringarray strings, 
 * containing numstrings strings into buff.
 * if bufflen is to small or anything else failes, 
 * the return value is NULL.
 */

#endif /* _ELOG_FORMAT_H */
